Patchwork [v2] libgpsbt: add dbus-glib to DEPENDS

login
register
mail settings
Submitter Andreas Müller
Date May 1, 2011, 8:39 p.m.
Message ID <1304282399-2932-1-git-send-email-schnitzeltony@gmx.de>
Download mbox | patch
Permalink /patch/3059/
State Accepted
Headers show

Comments

Andreas Müller - May 1, 2011, 8:39 p.m.
Error message during configure was
| checking for GLIB... yes
| checking for DBUS... configure: error: Package requirements ( dbus-glib-1 >= 0.23 ) were not met:
|
| No package 'dbus-glib-1' found
|
| Consider adjusting the PKG_CONFIG_PATH environment variable if you
| installed software in a non-standard prefix.
|
| Alternatively, you may set the environment variables DBUS_CFLAGS
| and DBUS_LIBS to avoid the need to call pkg-config.
| See the pkg-config man page for more details.
|
NOTE: package libgpsbt-0.1-r2: task do_configure: Failed

Signed-off-by: Andreas Mueller <schnitzeltony@gmx.de>
---
 recipes/maemo4/libgpsbt_0.1.bb |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)
Paul Menzel - May 2, 2011, 6:58 a.m.
Am Sonntag, den 01.05.2011, 22:39 +0200 schrieb Andreas Mueller:
> Error message during configure was
> | checking for GLIB... yes
> | checking for DBUS... configure: error: Package requirements ( dbus-glib-1 >= 0.23 ) were not met:
> |
> | No package 'dbus-glib-1' found
> |
> | Consider adjusting the PKG_CONFIG_PATH environment variable if you
> | installed software in a non-standard prefix.
> |
> | Alternatively, you may set the environment variables DBUS_CFLAGS
> | and DBUS_LIBS to avoid the need to call pkg-config.
> | See the pkg-config man page for more details.
> |
> NOTE: package libgpsbt-0.1-r2: task do_configure: Failed
> 
> Signed-off-by: Andreas Mueller <schnitzeltony@gmx.de>
> ---
>  recipes/maemo4/libgpsbt_0.1.bb |    2 +-
>  1 files changed, 1 insertions(+), 1 deletions(-)
> 
> diff --git a/recipes/maemo4/libgpsbt_0.1.bb b/recipes/maemo4/libgpsbt_0.1.bb
> index c6c6ea6..a41501e 100644
> --- a/recipes/maemo4/libgpsbt_0.1.bb
> +++ b/recipes/maemo4/libgpsbt_0.1.bb
> @@ -2,7 +2,7 @@ LICENSE = "nokia"
>  
>  PR = "r2"
>  
> -DEPENDS = "libgpsmgr dbus"
> +DEPENDS = "libgpsmgr dbus dbus-glib"
>  
>  # This is proprietary software in Chinook, so we have to stay with the last released
>  # free version.

Acked-by: Paul Menzel <paulepanter@users.sourceforge.net>

I pushed your patch in 54c90c53 [1]. Please remember to update the state
in the patch queue [2].

Just for the future. How do you want to spell your last name? Mueller or
Müller? There are commits with both spellings.


Thanks,

Paul


[1] http://cgit.openembedded.org/cgit.cgi/openembedded/commit/?id=54c90c53bd4f0b02869de057407f0f5610ece260
[2] http://openembedded.org/index.php/Patchwork
Andreas Müller - May 2, 2011, 7:47 p.m.
On Monday, May 02, 2011 08:58:21 AM Paul Menzel wrote:
> Just for the future. How do you want to spell your last name? Mueller or
> Müller? There are commits with both spellings.
This is what I do not understand for a while now. I think I have all settings

- email client
- .gitconfig

made up for Mueller (to prevent trouble - on other repos I saw problem with 
german Umlaut). I think the 'ü' is created by some *intelligence* within 
patchwork (see email [1] of this patch vs. patchwork [2]). 

I guess if you use the automatic way (contrib/patchwork/pw-am.sh) you will find 
automatic Umlaut 'ü' (you did not use automatic way so we see 'ue').

To check this I did:

wget -nv http://patches.openembedded.org/patch/3059/mbox/ -O pw-am-3059.patch

and attached the result here.

[1] http://lists.linuxtogo.org/pipermail/openembedded-devel/2011-
April/032272.html
[2] http://patches.openembedded.org/patch/3059/
> 
> 
> Thanks,
> 
> Paul
> 
> 
> [1]
> http://cgit.openembedded.org/cgit.cgi/openembedded/commit/?id=54c90c53bd4f
> 0b02869de057407f0f5610ece260 [2]
> http://openembedded.org/index.php/Patchwork

Patch

diff --git a/recipes/maemo4/libgpsbt_0.1.bb b/recipes/maemo4/libgpsbt_0.1.bb
index c6c6ea6..a41501e 100644
--- a/recipes/maemo4/libgpsbt_0.1.bb
+++ b/recipes/maemo4/libgpsbt_0.1.bb
@@ -2,7 +2,7 @@  LICENSE = "nokia"
 
 PR = "r2"
 
-DEPENDS = "libgpsmgr dbus"
+DEPENDS = "libgpsmgr dbus dbus-glib"
 
 # This is proprietary software in Chinook, so we have to stay with the last released
 # free version.